#### D.14.2.5 direct_boolean_poly

Procedure from library `polybori.lib` (see polybori_lib).

Usage:
  boolean_poly(ps[, rb]); ps polynomial, rb boolean ring

Return:
  default: polynomial ps in the representation of the boolean ring rb==boolean_poly_ring(basering); optional input: boolean ring rb

Example:

    LIB "polybori.lib";
    ==> // ** args must be 1 in     system("install", "bideal",   "ideal",    bid\
       eal2ideal, 4);
    ring r0=2,x(1..4),lp;
    bring rb=r0;
    poly f=x(1)^2+2*x(2)*(x(3))-x(4)^3;
    direct_boolean_poly(f);
    ==> x(1) + x(4)
    direct_boolean_poly(f,rb);
    ==> x(1) + x(4)
    ring r1=0,x,Dp;
    poly f=x3+2x+1;
    direct_boolean_poly(f);
    ==> x + 1
    ring r2=32003,(x,y,z),Dp;
    poly f=xyz+20*x^2*y-3*xz+15;
    direct_boolean_poly(f);
    ==> x*y*z + x*z + 1

See also: boolean_ideal; boolean_std.

User manual for Singular version 4-0-3, 2016, generated by texi2html.